// filepath: c:\Users\amaizy\Desktop\cvgen\routes\front.routes.js

const express = require("express");
const router = express.Router();

const { getUserProfile } = require("../controllers/linkedin");

router.get("/", (req, res) => {
  res.send(`
    <h1>Welcome to the CV Generator Home Page!</h1>
    <a href="/api/auth/linkedin">
      <button>Connexion LinkedIn</button>
    </a>
  `);
});

// Route for fetching user profile information
router.get("/profile", getUserProfile);

module.exports = router;
